PUT
/ai_labs/organization/{Organization_Id}/actions/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/actions/?location=<LOCATION>&action=stop_resources&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/actions/", params={"location": "<LOCATION>", "action": "stop_resources", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/actions/");url.search = new URLSearchParams({ location: "<LOCATION>", action: "stop_resources", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({}),});console.log(await response.json());Note: AI Labs is currently available only in the Delhi region.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization_Id
required
integer
Organization ID
Query Parameters
Section titled “Query Parameters”location
required
string
Location
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
action
required
string
Action to perform on organization resources
Example
stop_resourcesRequest Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Empty request body for initiating the free-up resources operation
object
Example
{}Responses
Section titled “Responses”Successfully initiated the resource stop operation
Media typeapplication/json
object
code
integer
data
object
errors
object
message
string
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Resource stop operation initiated successfully. The resources will shut down shortly."}